Description

Next release. Again, this will be rare. Not much to be gained from a URL reference.
Matt
Duane Costa wrote:
Matt, Mark:
Do you think that handling references to online URLs should be a
requirement for the first release of the Data Manager Library (1.0.0), or recorded as an enhancement for the next release

(1.1.0)?

Thanks,
Duane

From: Jing Tao [mailto:tao@nceas.ucsb.edu]
Sent: Wednesday, December 13, 2006 9:06 PM
To: Duane Costa

Cc: 'inigo san gil'; 'Mark Servilla'

Subject: RE: In-line data

Hi, Duane:

Yeah, current eml parser coudn't handle the reference for online url.
It can handle reference for attributeList and attribute. We can add
supporting online url reference as new feature into our data manager
library.

Thanks,
Jing

Jing Tao

National Center for Ecological
Analysis and Synthesis (NCEAS)
735 State St. Suite 204

Santa Barbara, CA 93101

On Wed, 13 Dec 2006, Duane Costa wrote:

Date: Wed, 13 Dec 2006 15:37:27 -0700
From: Duane Costa <dcosta@lternet.edu>
To: 'Jing Tao' <tao@nceas.ucsb.edu>

Cc: 'inigo san gil' <isangil@Iternet.edu>,
'Mark Servilla' <servilla@lternet.edu>
Subject: RE: In-line data

Hi Jing,

Inigo and | have looked into the second issue below a
little more (the

question about FTP protocol). The problem was not the FTP

protocol --

we changed to HTTP and the Data Manager library had the

same problem downloading the data. The problem is that the metadata
is using a reference to the URL to the data like this:

<dataTable>

<distribution>
<references>distributionReference</references>
</distribution>

In another part of the EML, we have:

<distribution id="distributionReference"> <online>
<url>
http://Iternet.lternet.edu/~isangil/NIN/nin_met_1982.txt
</url>

</online>

</distribution>

Because of the reference, Data Manager has no value for the
entity identifier, and the download handler is not able to download
the

data. So it seems that this is a legal EML document but the
EML parser is not able to follow the reference to the URL for the
data.

Here is a link to the document that is having the problem:

http://Iternet.lternet.edu/~isangil/NIN/nin_Iter _met_1982.xml

Could you take a look?

Thanks,
Duane

History

#1 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2702

03/13/2024

22



http://lternet.lternet.edu/~isangil/NIN/nin_met_1982.txt
http://lternet.lternet.edu/~isangil/NIN/nin_lter_met_1982.xml
http://www.tcpdf.org

